Bug 1018796 - Publican includes XML tags from <abstract> in %description and %post
Publican includes XML tags from <abstract> in %description and %post
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:25 EDT by Ruediger Landmann
Modified: 2013-12-18 21:46 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample Book_Info.xml file (1.54 KB, text/xml)
2013-10-14 08:25 EDT, Ruediger Landmann
no flags Details
Sample spec file (24.46 KB, text/x-rpm-spec)
2013-10-14 08:26 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2013-10-14 08:25:20 EDT
Created attachment 811973 [details]
Sample Book_Info.xml file

Description of problem:
When Publican packages a book, it uses the information from the book's <abstract> to populate the %description and %post sections of the book's spec file

Version-Release number of selected component (if applicable):
publican-3.9.9-0.fc19.t6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Package any book

Actual results:
The entire abstract, including the <abstract> tags itself, and any child tags are included in the %description and %post sections of the spec file

Expected results:
Publican only uses the text from the abstract

Additional info:
Comment 1 Ruediger Landmann 2013-10-14 08:26:10 EDT
Created attachment 811976 [details]
Sample spec file
Comment 2 HSS Product Manager 2013-10-14 20:47:33 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-10-14 20:55:37 EDT
To ssh://git.fedorahosted.org/git/publican.git
   623a7e0..d084e0b  HEAD -> devel
Comment 4 Tomas Capek 2013-10-16 10:24:16 EDT
Does not seem to work:

rpm -q publican
publican-3.9.9-0.fc19.t6.noarch

~/Red-Hat-Books/RHEL7-Security_Guide$ publican package --lang en-US

vim tmp/rpm/Red_Hat_Enterprise_Linux-Security_Guide-7-web-en-US.spec

I can still see DocBook markup in both %description and %post sections.

Am I doing something wrong?
Comment 5 Jeff Fearn 2013-10-16 19:10:22 EDT
git pull? The version I'm testing is publican-3.9.9-0.el6.t7.noarch and it works for the Users Guide.

If you update and it doesn't work please provide a link to the book source so I can test on that book.
Comment 6 Ruediger Landmann 2013-10-16 19:23:37 EDT
Verified in publican-3.9.9-0.fc19.t7.noarch

Note You need to log in before you can comment on or make changes to this bug.